Get a callback
curl --request GET \
--url https://api.neoagent.io/public-api/callbacks/{callback_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"callback_id": "<string>",
"created_in_psa_at": "2023-11-07T05:31:56Z",
"entity_id": "<string>",
"entity_number": "<string>",
"error_message": "<string>",
"failed_to_match_workflow_ids": [
123
],
"finished_processing_at": "2023-11-07T05:31:56Z",
"matcher_run_id": "<string>",
"processed_audit_trail": null,
"started_workflow_ids": [
123
],
"workflow_matches": [
{
"error": true,
"match_details": {
"event_type": "<string>",
"field_comparisons": [
{
"field_name": "<string>",
"field_value": "<unknown>",
"is_match": true,
"operator": "<string>",
"rule_value": "<unknown>"
}
]
},
"match_reason": "<string>",
"matched": true,
"workflow_id": 123,
"workflow_name": "<string>"
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timings_ms": {},
"pagination": {
"has_more": true,
"next_cursor": "<string>"
},
"warnings": [
"<string>"
]
}
}Callbacks
Get a callback
GET
/
public-api
/
callbacks
/
{callback_id}
Get a callback
curl --request GET \
--url https://api.neoagent.io/public-api/callbacks/{callback_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"callback_id": "<string>",
"created_in_psa_at": "2023-11-07T05:31:56Z",
"entity_id": "<string>",
"entity_number": "<string>",
"error_message": "<string>",
"failed_to_match_workflow_ids": [
123
],
"finished_processing_at": "2023-11-07T05:31:56Z",
"matcher_run_id": "<string>",
"processed_audit_trail": null,
"started_workflow_ids": [
123
],
"workflow_matches": [
{
"error": true,
"match_details": {
"event_type": "<string>",
"field_comparisons": [
{
"field_name": "<string>",
"field_value": "<unknown>",
"is_match": true,
"operator": "<string>",
"rule_value": "<unknown>"
}
]
},
"match_reason": "<string>",
"matched": true,
"workflow_id": 123,
"workflow_name": "<string>"
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timings_ms": {},
"pagination": {
"has_more": true,
"next_cursor": "<string>"
},
"warnings": [
"<string>"
]
}
}Authorizations
Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).
Path Parameters
⌘I
